'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const execa = require('execa');
const isCi = require('is-ci');
const debug = require('debug')('frans:run-script');

const runScript = (bin, args, opts = {}) => {
  debug(`Execute command ${bin}`);
  debug('With args: %o', args);

  const proc = execa(bin, args, _extends({
    stdio: 'inherit'
  }, opts, {
    env: _extends({}, process.env, { FORCE_COLOR: !isCi }, opts.env)
  }));

  return proc.then(res => {
    debug(`Command ${bin} executed succesfully`);
    return res;
  }).catch(err => {
    debug(`Command ${bin} got rejected`);
    throw err;
  });
};

module.exports = runScript;